<template lang="html">
<v-container>
<v-layout row wrap>
  <v-flex xs12>
      <v-btn color="info" @click="add">New Major</v-btn>
  </v-flex>
      <v-flex xs12>

                

      <v-tabs v-model="tabModel">
          <v-tab>Active</v-tab>
          <v-tab>Depricated</v-tab>
      </v-tabs>

      <v-tabs-items v-model="tabModel">
          <v-tab-item>
               
                    <v-data-table
                    :headers="headers"
                    :items="data.filter( item => item.is_active )"
                    :items-per-page="2"
                    class="elevation-1"
                    >
                      <template v-slot:items="props">
                      <td class="text-xs-left">{{ props.item.id }}</td>
                      <td class="text-xs-left">{{ props.item.name }}</td>
                      <td class="text-xs-left">{{ props.item.code }}</td>
                        </template>
                  </v-data-table>
                
          </v-tab-item>
           <v-tab-item>
                  <v-data-table
                    :headers="headers"
                    :items="data.filter( item => !item.is_active )"
                    :items-per-page="2"
                    class="elevation-1"
                    >
                      <template v-slot:items="props">
                      <td class="text-xs-left">{{ props.item.id }}</td>
                      <td class="text-xs-left">{{ props.item.name }}</td>
                      <td class="text-xs-left">{{ props.item.code }}</td>

                        </template>
                  </v-data-table>
          </v-tab-item>
      </v-tabs-items>
  </v-flex>
</v-layout>
</v-container>
</template>

<script lang="js">
import service from '../services/majors.js'
  export default {
    name: 'major',
    props: [],
    mounted() {
      
        service.getAll().then((result)=>{
        console.log("Major Data")
        this.data = result.majors;
      })

    },
    data() {
      return {
        tabModel: null,
        headers: [
          {
            text: 'id',
            align: 'left',
            sortable: false,
            value: 'id'
          },
           {
            text: 'name',
            align: 'left',
            sortable: false,
            value: 'name'
          },
           {
            text: 'code',
            align: 'left',
            sortable: false,
            value: 'code'
          }
        ],
      data: [
       
      ],
    }
    },
    methods: {
      add() {
      this.$router.push({ name: 'newMajor'})
    }
    },
    computed: {

    }
}
</script>

<style scoped>
  .student {

  }
</style>
